Bug 435089 - Nautilus update breaks all desktop icons
Nautilus update breaks all desktop icons
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Tomáš Bžatek
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-02-27 05:40 EST by Alfredo Ferrari
Modified: 2015-03-03 17:32 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-01-09 01:04:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Alfredo Ferrari 2008-02-27 05:40:48 EST
Description of problem:
updating to nautilus-2.20.0-8.fc8 results in all desktop icons lost and no
chance to recovery them. This occurred on 3 different systems (1 x86_64, two
i386), all running f8 fully up-to-date and gnome. I didn't find any way to
recover the icons, evening trying to select a new icon doesn't work. Dowgrading
to nautilus-2.20.0-6.fc8 solves the issue

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. upgrade to 2.20.0-8.fc8, login/login again, or reboot 
2. all desktop icons are lost (those belonging to user made launchers, as well
as those pointing to system applications which have been put on the desktop)
3. trying to reselect them (manually) fails because the menu never shows any   
icon in directories like /usr/share/pixmaps etc
Actual results:
Desktop icons are lost and apparently they cannot be retrieved even
right-clicking and selecting them manually (the browsing menu never shows any
icon even in the system directories where they are)

Expected results:
They should obviously stay

Additional info:
Comment 1 Vaclav "sHINOBI" Misek 2008-02-29 17:57:22 EST
What is your used theme? I'm currently running nautilus-2.20.0-8.fc8 on x86_64
with no problems (and also on 2 other machines), it must be something specific
on your system. Is selinux enabled? And if yes, are there any AVC denials?
Comment 2 Alfredo Ferrari 2008-03-01 15:30:50 EST
The three machines were running each one different themes, one the default one,
a second a custom theme, the third one a theme out of the gnome-extra-themes (or
similar name)rpm.

Selinux was activated on two, it was activated on the third one as well but
actually set in permissive mode (for samba). None of the machines signaled an AVC.

Investigating further (and looking at some answers on the fedora list), I
arrived at the following conclusions:

a) the problem appears for the account which is logged in when the update is
performed (and only for that account)
b) going back to the old nautilus solves the problem
c) going back to the "old" nautilus, logging off, telinit 3, yum update,
removing all temporary directories like .gconf... inside /tmp, telinit 5,
logging in again results in a successful update with all icons in place
d) I don't know which one of the steps above is the "critical" one, ie removing
the temporary directories (like somebody suggested on the fedora discussion
list) rather than upgrading when logout, or both
e) since a couple of persons mentioned the issue on the fedora list I don't
believe I am the only one who met it. Among the solutions which apparently
worked for somebody else on the list, one was to delete .gnome2 in the home
directory and copy it back from another account (an ugly solution if one has a
highly customized desktop)

Let me know if I can help more
Let me know
Comment 3 Bug Zapper 2008-11-26 04:56:59 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 4 Bug Zapper 2009-01-09 01:04:16 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.